﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace CAsyncSocket
{
    public partial class Client : Form
    {
        private CAsyncClient _clientSocket = null;

        string _strSendMessage;

        private int _port = 11800;
        private string _ipAddress = "127.0.0.1";
        
        int _receiveTimeout = 20000; 
        public Client()
        {
            
            InitializeComponent();
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            try
            {
                string key = "1";
                _strSendMessage = string.Format("{0},{1}", "ClientMessage", key);

                ClientSendData(_strSendMessage);
                
            }

            catch (Exception ex)
            {
                
            }


        }

        private void ClientSendData(string sendMessage)
        {
            try
            {
                if (_clientSocket != null)
                {
                    _clientSocket.SendText(sendMessage);
                }
            }
            catch (Exception ex)
            {
                
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            ClientConnectCall();

            timer1.Interval = 60000;
            timer1.Start(); 


        }

        private void ClientConnectCall()
        {
            
            try
            {
                
                if (_port < 65536)
                {
                    try
                    {
                        _clientSocket = new CAsyncClient(_ipAddress, _port, _receiveTimeout);
   
                        _clientSocket.Connect();
                    }
                    catch (Exception ex)
                    {

                    }
                }
               
            }
            catch (Exception ex)
            {
                
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            Server dlg = new Server();
            dlg.Show();
        }
    }
}
