﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Net.Sockets;
using System.Net; 

namespace CAsyncSocket
{
    public partial class Server : Form
    {
        private CAsyncServer _serverSocket = null;

      
        public Server()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            
            ServerWaitCall();
        }

        private void ServerWaitCall()
        {
            int _port = 11800; 
                
            if (_port < 65536)
            {
                _serverSocket = new CAsyncServer(_port);
                
                if (!_serverSocket.Active())
                {
                    _serverSocket.OnRead += new CAsyncServer.ConnectionDelegate(ServerOnRead);
                }
            }
            else
            {
         
            }
           
         
        }

        private void ServerOnRead(Socket soc)
        {
            string strReceive = _serverSocket.ReceivedText;

            string[] strReadMessage;
            char[] charSeparators = new char[] { ',', '\0' };

            strReadMessage = strReceive.Split(charSeparators);

            ServerSendData(string.Format("{0},{1}", "ServerMessage", strReadMessage[1]));
             
        }


        public void ServerSendData(string sendMessage)
        {

            if (_serverSocket != null)
            {
                for (int i = 0; i < _serverSocket.ActiveConnections; i++)
                {
                    if (_serverSocket.Connected(i))
                    {
                        if (!_serverSocket.SendText(sendMessage, i))
                        {

                        }
                        else
                        {

                        }
                    }
                    else
                    {

                    }
                }
            }
        }


    }
}
